#ifndef WEATHERWIDGET_H
#define WEATHERWIDGET_H 1

#include <qlabel.h>
#include <qlineedit.h>
#include <qsocket.h>
#include <qstring.h>
#include <qwidget.h>

class WeatherWidget : public QWidget
{
      Q_OBJECT

      public:
        // Konstruktor klase.
	WeatherWidget(QWidget * parent = 0, const char *name = 0);

      private:
        // Elementi grafickog korisnickog interfejsa.
        QLabel         *locationLabel;
	QLabel         *timestampLabel;
	QLabel         *conditionTextLabel;
	QLabel         *conditionIconLabel;
	QLineEdit      *temperatureLineEdit;
	QLineEdit      *feelsLikeLineEdit;
	QLineEdit      *humidityLineEdit;

        // Socket za preuzimanje izvjestaja o vremenu.
	QSocket        *socket;

        // String sa izvjestajem o vremenu u XML formatu.
	QString         report;

       private slots:
        // Funkcije slot-ovi klase.
        void            slotUpdate();
	void            slotSocketConnected();
	void            slotSocketReadyRead();
	void            slotSocketConnectionClosed();
	void            slotSocketError(int error);
};

#endif
